hbase-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Daniel Cryans <jdcry...@apache.org>
Subject HBase trunk and Hadoop 0.21
Date Wed, 17 Feb 2010 19:42:13 GMT
Hi devs,

Yesterday Stack, Ryan, Todd (from cloudera) and me had a meeting with the FB
team about the course of action we should take with regard to Hadoop 0.21.
Since Y! doesn't seem committed to release it anytime soon (or even use it),
most users will probably stick with Hadoop 0.20.

What it means for us is no HDFS-265 until months and this is not a situation
our users should/will tolerate. Dhruba agreed to work on HDFS-200 (and some
others) to make sure we can have an equivalent support for sync (at least
from the HBase point of view). This work is targeted at Hadoop 0.20 although
it won't probably ever be in an Apache release.

This means that the current HBase trunk should ideally support both
0.20+HDFS-200 and 0.21 at the same time. I opened HBASE-2233 for that. Todd
was mentioning that if HDFS-200 isn't making the rest of Hadoop unstable,
they could even package it in some sort of release of theirs and make our
users' life easier. Could be a win-win.

Should we still name the next major HBase release as 0.21? If it becomes
common for HBase to support multiple Hadoop releases, should we still follow
their version number? Could it be time for HBase 1.0?

Let's hear everyone's opinion.

J-D

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message